
<ui:composition template="../template/template.xhtml"
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:f="http://java.sun.com/jsf/core"
    xmlns:h="http://java.sun.com/jsf/html"
    xmlns:p="http://primefaces.org/ui"
    xmlns:ui="http://java.sun.com/jsf/facelets">

    <ui:define name="title">
        .:Transparencia - Busqueda:.
    </ui:define>

    <ui:define name="headCont">
		<style>
			.box-table-class .ui-datatable-scrollable-body thead th{
				opacity:0;
				padding: 0;
			}
			
			.obs-pe {
				background: #d6effe;
				color: #68544F;   
			}
			
			.obs-pe-vencida {
				background: #d6effe;
				color: red;
			}
			
			.obs-pe-por-vencer {
				background: #d6effe;
				color: green;
			}
			
			.sin-obs-pe-vencida {
				color: red;
			}
			
			.sin-obs-pe-por-vencer {
				color: green;
			}
			
			
			.ui-state-disabled{
				opacity:1;
			}
			
			.ui-fieldset-general {
	
			}
			
			.without-selectall .ui-selectcheckboxmenu-header .ui-chkbox {
				display: none;
			}
			/* Select CheckBoxMenú */
			.ui-selectcheckboxmenu-item:hover{
			  background-color: #850100 !important;
			  background-image: linear-gradient(to bottom, #BA0400, #840100) !important;
			  color: #FFF
			}
			
			.ui-selectcheckboxmenu-item{
			  font-size: 13.2px;
			  font-weight: 300;
			}
			
			.ui-selectcheckboxmenu .ui-selectcheckboxmenu-trigger {
			    width: auto !important;
			    border-left: 1px solid #a8a8a8 !important;
			    border-radius: 0px 0px 0px 0px !important;
			    background: #F9F9F9 !important;
			    box-shadow: 0px 0px #FFF;
			}
		
		</style>
    </ui:define>
        
    <ui:define name="titlePages">
        <span>BUSQUEDA DE SOLICITUDES</span>
    </ui:define>
    <ui:define name="urlNavegacion">
      <li class="active">Solicitudes de Acceso a la Información Pública</li>
      <li >Busqueda de Solicitudes</li>
    </ui:define>
    <!-- administrador por BNP -->
    <ui:define name="content">
        #{busqueda.validarSesion()}
        #{busqueda.cargarListaConsultas()}
        #{busqueda.cargarplantillas()}
        #{busqueda.llenarCombos()}
	    <div class="row">
	    
	    	<h:form id="frmBandejaSolicitud">
                
                <p:growl id="mensaje" showDetail="true" sticky="false" life="5000" />
                <div class="col-md-12 sin-bg-box">
                
                	<p:fieldset styleClass="ui-fieldset-general">
                    	
                	<div class="row box-mb"> 
                            <div class="col-sm-12">
                                <label class="control-label"><b>Buscar Solicitudes:</b></label>
                            </div>                       
                    </div>
                    
                	<p:fieldset>
                        <div class="row box-mb">
                        	<div class="col-sm-3">
	                        	<div class="form-group">
				                	<h:outputLabel for="txtNumDocumento" value="N&#186; Documento: " styleClass="control-label"/>                                        
	                            	<p:inputText  id="txtNumDocumento"
	                                    		  value="#{busqueda.reporteBandeja.numero_documento_identidad}"
	                                              maxlength="8"
	                                              mask="99999999"
	                                              style="text-transform:uppercase"
	                                              onkeypress="return onlyNumber(event)" 
	                                              required="false" styleClass="form-control"
	                                              tabindex="1"/>
				            	</div>
	                        </div>
	                        <div class="col-sm-3">
								<div class="form-group">
									<h:outputLabel for="cboAnio" value="Año Solicitud: "
										styleClass="control-label" />
									<p:selectOneMenu id="cboAnio"
										value="#{busqueda.reporteBandeja.anio_solicitud}"
										styleClass="form-control style-select">
										<f:selectItem itemValue="0" itemLabel="--- Seleccione ---" />
										<f:selectItem itemValue="2018" itemLabel="2018" />
										<f:selectItem itemValue="2017" itemLabel="2017" />
										<f:selectItem itemValue="2016" itemLabel="2016" />
									</p:selectOneMenu>
								</div>
							</div>
							<div class="col-sm-4">
								<div class="form-group">
									<h:outputLabel for="cboEstSol" value="Estado: "
											styleClass="control-label" />
									<p:selectOneMenu id="cboEstSol"
											value="#{busqueda.reporteBandeja.estado_solicitud_id}"
											styleClass="form-control style-select">
											<f:selectItem itemValue="0" itemLabel="--- Seleccione ---" />
											<f:selectItem itemValue="1" itemLabel="1: Registrado" />
											<f:selectItem itemValue="19" itemLabel="19: Modificado" />
											<f:selectItem itemValue="20" itemLabel="20: Registrado por STD" />
											<f:selectItem itemValue="8" itemLabel="8: Respuesta Asignado a Asistente REIP" />
											<f:selectItem itemValue="11" itemLabel="11: Devuelto por Jefe REIP PDA" />
											<f:selectItem itemValue="12" itemLabel="12: Devuelto por Jefe REIP POA" />
											<f:selectItem itemValue="17" itemLabel="17: Devuelto por Jefe REIP PNA" />
											<f:selectItem itemValue="15" itemLabel="15: Devuelto por Jefe REIP PRA" />
									</p:selectOneMenu>
								</div>
							</div>
                        </div>
                       	<div class="row box-mb">
	                        	<div class="col-sm-3">
	                                <div class="form-group">
				                    	<h:outputLabel for="txtApPaterno" value="Apellido Paterno: " styleClass="control-label"/>                                        
	                                    <p:inputText  id="txtApPaterno"
	                                    			value="#{busqueda.reporteBandeja.apellido_paterno}"
	                                                maxlength="60"
	                                                style="text-transform:uppercase"
	                                                onkeypress="return soloLetras(event)"
	                                                required="false" styleClass="form-control"
	                                                tabindex="1"/>
				                     </div>
	                            </div>
	                            <div class="col-sm-3">
	                                <div class="form-group">
				                    	<h:outputLabel for="txtApMaterno" value="Apellido Materno" styleClass="control-label"/>                                        
	                                    <p:inputText  id="txtApMaterno"
	                                    			value="#{busqueda.reporteBandeja.apellido_materno}"
	                                                maxlength="60"
	                                                style="text-transform:uppercase"
	                                                onkeypress="return soloLetras(event)"
	                                                required="false" styleClass="form-control"
	                                                tabindex="1"/>
				                     </div>
	                            </div>
	                            <div class="col-sm-4">
	                                <div class="form-group">
				                    	<h:outputLabel for="txtNombres" value="Nombres: " styleClass="control-label"/>                                        
	                                    <p:inputText  id="txtNombres"
	                                    			value="#{busqueda.reporteBandeja.nombres}"
	                                                maxlength="70"
	                                                style="text-transform:uppercase"
	                                                onkeypress="return soloLetras(event)"
	                                                required="false" styleClass="form-control"
	                                                tabindex="1"/>
				                     </div>
	                            </div>        
	                    </div> 
	                    
                        <br/>
                        <div class="row box-mb"> 
                        	<div class="col-sm-12 box-btn-tab text-right box-main-btn xx_box-btn">
			               			
			               			<p:commandButton 	id="idBuscar"
                                    					value="Buscar" 
                                    					icon="icon-search ocultarImgIcon"
                                                        styleClass="btn btn-default btn-sensitive btn-buscar"
                                                        onclick="PF('statusDialog').show()"
                                                        oncomplete="PF('statusDialog').hide()" 
                                    					actionListener="#{busqueda.buscarConsulta2}"
                                    					update="frmBandejaSolicitud"
                                    					ajax="true"
                                    					/>
                                    					
                                   <p:commandButton	id="idLimpiar"
                                                	styleClass="btn btn-default btn-sensitive btn-buscar"   
					                                value="Limpiar"
					                                actionListener="#{busqueda.limpiarBusqueda2}"
					                                icon="icon-limpiar"		                                                
                                               		update="frmBandejaSolicitud"
                                               		ajax="true"
                                               		/> 
			               </div>
                        </div>
                        
                    </p:fieldset> 
<!-- *************************************************************************************************************************** -->
                    <div class="row box-mb" style="margin-top:15px;"> 
                            <div class="col-sm-12">
                                <label class="control-label"><b>Solicitudes Encontradas:</b></label>
                            </div>                       
                    </div> 
                                        
                         <div class="row box-mb">
                            <div class="col-sm-12 box-table-class">
                              <div class="form-group">
<!--******************************* Tabla con registros del combo seleccion: REGISTROS VIRTUALES ****************************************************-->
                                    <p:dataTable  id="tblConsultas2" 
                                                var="registro" 
                                                value="#{busqueda.lstReporteBandeja}" 
                                                rowKey="#{registro.id}" 
                                                paginator="true"
                                                scrollable="true"
                                                rowIndexVar="item"
                                                paginatorPosition="top"
                                                rows="10"
                                                style="text-align:center;"
                                                emptyMessage="No existen registros">
                                                
												<p:column headerText="Correlativo" style="width:30px;text-aling:center;"
													sortBy="#{registro.correlativo_solicitud}">
                                                    <h:outputText value="#{registro.correlativo_solicitud}" />
                                                </p:column>

                                                <p:column headerText="Año" style="width:20px;"
													sortBy="#{registro.anio_solicitud}">
                                                    <h:outputText value="#{registro.anio_solicitud}" />
                                                </p:column>
                                                
                                                <p:column headerText="Vsn" style="width:20px;"
													sortBy="#{registro.version_solicitud}">
                                                    <h:outputText value="#{registro.version_solicitud}" />
                                                </p:column>
                                                
                                                <p:column headerText="N&#186; Documento" style="width:35px;"
													sortBy="#{registro.numero_documento_identidad}">
                                                    <h:outputText value="#{registro.numero_documento_identidad}" />
                                                </p:column>
                                                
                                                <p:column headerText="Ap. Parteno" style="width:40px;"
													sortBy="#{registro.apellido_paterno}">
                                                    <h:outputText value="#{registro.apellido_paterno}" />
                                                </p:column>
                                                
                                                <p:column headerText="Ap. Marteno" style="width:40px;"
													sortBy="#{registro.apellido_materno}">
                                                    <h:outputText value="#{registro.apellido_materno}" />
                                                </p:column>
                                                
                                                <p:column headerText="Nombres" style="width:35px;"
													sortBy="#{registro.nombres}">
                                                    <h:outputText value="#{registro.nombres}" />
                                                </p:column>
                                                
                                                <p:column headerText="Detalle" style="width:70px;"
													sortBy="#{registro.detalle_solicitud}">
                                                    <h:outputText value="#{registro.detalle_solicitud}" />
                                                </p:column>
                                                
                                                <p:column headerText="Usuario Responsable" style="width:60px;"
													sortBy="#{registro.dependencia_nformacion_det}">
                                                    <h:outputText value="#{registro.usuario_nombre_responsable}" />
                                                </p:column>
                                                
                                                <p:column headerText="Autoriza Recojo" style="width:35px;"
													sortBy="#{registro.flag_autoriza_recojo}">
                                                    <h:outputText value="#{registro.flag_autoriza_recojo}" />
                                                </p:column>
                                                
                                                <p:column headerText="Estado Solicitud" style="width:40px;"
													sortBy="#{registro.telefono}">
                                                    <h:outputText value="#{registro.estado_solicitud_detall}" />
                                                </p:column>
                                                
                                                <p:column headerText="Situación Solicitud" style="width:40px;"
													sortBy="#{registro.telefono}">
                                                    <h:outputText value="#{registro.situacion_solicitud_detall}" />
                                                </p:column>
                                                
                                                <p:column headerText="Acción" style="width:30px;text-align:center;">
													<p:commandButton    title="Ver Detalle"
																		action="#{busqueda.verDetallexrpt(registro)}"
																		ajax="false" icon="ui-icon ui-icon-folder-open"
																		styleClass="colorSuccess" />
                                                    
                                                    <!-- p:commandButton    action="#{busqueda.seleccionarRegistro(registro)}"
                                                                        onclick="PF('statusDialog').show()"
																		oncomplete="PF('statusDialog').hide()"
                                                                        title="Seleccionar registro"
                                                                        ajax="true"
                                                                        icon="ui-icon ui-icon-circle-plus"
                                                                        styleClass="colorSuccess"
                                                                        update=":frmBandejaSolicitud"/ -->
                                                                                                                                                                                       
                                                </p:column>

                                    </p:dataTable>
                                  
                              </div>         
                            </div>
                         </div> 
<!-- *************************************************************************************************************************** -->
                     	<p:accordionPanel id="acordeon" style="margin-top:15px;padding-left:0px;padding-right:0px;" 
                     		activeIndex="#{busqueda.mngAcordeon}" rendered="false">
                     		<!-- -->
                     		<p:tab title="Detalle de Solicitud #{busqueda.nroSolicitudSelect}">
                     
		                     <p:panel id="pnlRegSel" style="margin-top:-10px;margin-left:-30px;margin-right:-30px;border:none;"
								rendered="#{busqueda.vistaRegistroSelecc}" >
		                        <!-- 
		                        <div class="row box-mb"> 
		                            <div class="col-sm-12">
		                                <label class="control-label"><b>Registro de solicitudes:</b></label>
		                            </div>                       
		                        </div>   
		                         -->
		                        <p:fieldset>  
		                      	<!-- 
		                      	<div class="row box-mb">
		                      	
		                      		<div class="col-sm-12">
										<label class="control-label" style="margin-left: 2%"><b> I. FUNCIONARIO RESPONSABLE DE ENTREGAR LA INFORMACIÓN: </b></label>
									</div>
										
									<p:fieldset style="width:96%;margin-left:2%;margin-right:2%">
										<p:panel id="pnfuncionarioRespeponsable"
											 style="width: 100%;							 
											 border: 0px solid #EDEDED;
											 background: rgba(237, 237, 237, .9);">
											 <div class="row box-mb">
												<div class="col-sm-10">
													<div class="form-group">
														<h:outputLabel for="txtfuncionario"
																value="Funcionario Responsable de Entregar la Información: "
																styleClass="control-label" />
														<p:inputText
																disabled="true"
																value="#{busqueda.tmpFormularioBndRep.funcionario_resp_entrginfo}"
																id="txtfuncionario" style="text-transform:uppercase;"
																required="false" styleClass="form-control" tabindex="1" />
														
													</div>
												</div>
											</div>
										</p:panel>
									</p:fieldset>
								</div>
								 -->
		                		<div class="row box-mb">
		                      	
		                      		<div class="col-sm-12">
										<label class="control-label" style="margin-left: 2%"><b> II. DATOS DEL SOLICITANTE: </b></label>
									</div>
										
									<p:fieldset style="width:96%;margin-left:2%;margin-right:2%">
										<p:panel id="tipoDocumentoPanel"
											 style="width: 100%;							 
											 border: 0px solid #EDEDED;">
											 <div class="row box-mb">
												<div class="col-sm-4" >
								                	<div class="form-group">			                					                		
								                    	<h:outputLabel 	for="tipoDocumento" 
								                    					value="Tipo de Documento : " 
								                    					styleClass="control-label"/>                              
								                    	<p:selectOneMenu id="tipoDocumento"
								                    					 disabled="true"
								                    					 value="#{busqueda.tmpFormularioBndRep.tipo_documento_identidad_id}" 
								                    					 styleClass="form-control style-select" >
								                    		<f:selectItem  itemValue="0" itemLabel="--- Seleccione --- " />
									                        <f:selectItems value="#{busqueda.lstT01TipoDocumento}" 
									                        				var="item" 
									                        				itemValue="#{item.codigoRegistro}"  
									                        				itemLabel="#{item.nombreCorto}" />
								                        </p:selectOneMenu>
								                     </div>
								                </div>
								                
								                <div class="col-sm-4" >
								                	<div class="form-group">			                		
								                    	<h:outputLabel  value="Número de Documento : " 
								                    				    styleClass="control-label"/>
					                                    <p:inputText  value="#{busqueda.tmpFormularioBndRep.numero_documento_identidad}"
					                                    			  disabled="true"
					                                    			  id="numeroDocumentoDNI" 
					                                                  style="text-transform:uppercase;"                                               
					                                                  required="false" 
					                                                  styleClass="form-control"
					                                                  tabindex="1">
														</p:inputText>
								                     </div>
								               </div>
											</div>
											<div class="row box-mb">
												<div class="col-sm-4" >
									                <div class="form-group">
									                    	<h:outputLabel 	for="nombres" 
									                    					value="Nombres : " 
									                    					styleClass="control-label"></h:outputLabel>
									                    	<p:inputText  value="#{busqueda.tmpFormularioBndRep.nombres}" 
									                    				  disabled="true"
									                    				  id="nombres" 
									                    				  readonly="#{solicitudExternoMB.swtipoDocumentoPanel}"
						                                                  maxlength="30"                                                  
						                                                  required="false" 
						                                                  styleClass="form-control"
						                                                  tabindex="1"/>
									                </div>
									             </div>			               
									             <div class="col-sm-4" >
									                	<div class="form-group">
									                    	<h:outputLabel for="txtapellidopaterno" 
									                    				   value="Apellido Paterno : " 
									                    				   styleClass="control-label"/>
									                    	<p:inputText  value="#{busqueda.tmpFormularioBndRep.apellido_paterno}"
									                    				  disabled="true"
									                    				  id="txtapellidopaterno" 
									                    				  readonly="#{solicitudExternoMB.swtipoDocumentoPanel}"
						                                                  maxlength="50"                                                  
						                                                  required="false" styleClass="form-control"
						                                                  tabindex="1"/>
									                     </div>
									             </div>			               
										         <div class="col-sm-4" >
										                	<div class="form-group">
										                    	<h:outputLabel for="txtapellidomaterno" 
										                    				   value="Apellido Materno : " 
										                    				   styleClass="control-label"/>
										                    	<p:inputText  value="#{busqueda.tmpFormularioBndRep.apellido_materno}"
										                    				  disabled="true"
										                    				  id="txtapellidomaterno" 
										                    				  readonly="#{solicitudExternoMB.swtipoDocumentoPanel}"
							                                                  maxlength="50"                                                  
							                                                  required="false" 
							                                                  styleClass="form-control"
							                                                  tabindex="1"/>
										                     </div>
										           </div>
											</div>
											
											<div class="row box-mb">	 				
												<div class="col-sm-12">									
														<h:outputLabel 	for="txtdireccion" 
																		value="Domicilio Legal ( Av / Jirón / Nro / Dpto / Mz / Lote / Urb ) : "
																		styleClass="control-label">
														</h:outputLabel>
														<p:inputText
																	value="#{busqueda.tmpFormularioBndRep.direccion_domicilio}"
																	disabled="true"
																	id="txtdireccion"											
																	maxlength="60" 
																	required="false" 
																	style="text-transform: uppercase;"
																	styleClass="form-control"
																	tabindex="1" />									
												</div>									
											</div>
											
											<div class="row box-mb">	 				
												<div class="col-sm-4">
													<h:outputLabel for="cmbDepartamento" 
																		value="Departamento : "
																		styleClass="control-label" />
													<p:selectOneMenu 
																	disabled="true"
																	id="cmbDepartamento"
																	value="#{busqueda.tmpFormularioBndRep.coddep}"
																	styleClass="form-control style-select">
														<f:selectItem itemValue="0"  itemLabel="--- Seleccione --- " />
														<f:selectItems
																	value="#{busqueda.lstDepartamento}"
																	var="tabla" 
																	itemValue="#{tabla.coddep}"
																	itemLabel="#{tabla.descripcion}" />
													<p:ajax event="change" 
							                        		listener="#{busqueda.updateProvincia}"				                        		
							                        		update="cmbProvincia,
							                        				cmbDistrito"/>							 
													</p:selectOneMenu>
												</div>
												
												<div class="col-sm-4">
													<h:outputLabel  for="cmbProvincia"
																	value="Provincia: "
																	styleClass="control-label" />
													<p:selectOneMenu 
																	disabled="true"
																	id="cmbProvincia"
																	value="#{busqueda.tmpFormularioBndRep.codpro}"
																	styleClass="form-control style-select">
													<f:selectItem  itemValue="0" itemLabel="--- Seleccione ---"/>
													<f:selectItems
																	value="#{busqueda.lstProvincia}"
																	var="tabla" 
																	itemValue="#{tabla.codpro}"
																	itemLabel="#{tabla.descripcion}" />	
													<p:ajax event="change" 
							                        		listener="#{solicitudExternoMB.updateDistrito}"				                        		
							                        		update=  "cmbDistrito"/>
													</p:selectOneMenu>										
												</div>
												<div class="col-sm-4">
													<h:outputLabel for="cmbDistrito" 
																		value="Distrito: "
																		styleClass="control-label" />
													<p:selectOneMenu 
																	disabled="true"
																	id="cmbDistrito"
																	value="#{busqueda.tmpFormularioBndRep.coddis}"
																	styleClass="form-control style-select">
													<f:selectItem  itemValue="0" itemLabel="--- Seleccione ---"/>
													<f:selectItems
																	value="#{busqueda.lstDistrito}"
																	var="tabla" 
																	itemValue="#{tabla.coddis}"
																	itemLabel="#{tabla.descripcion}" />													 
													</p:selectOneMenu>
												</div>
											</div>
											
											<div class="row box-mb">	 				
												<div class="col-sm-4">
													<div class="form-group">
														<h:outputLabel 	for="txtTelefono" 
																		value="Telefono : "
																		styleClass="control-label"></h:outputLabel>
														<p:inputText
																	disabled="true"
																	value="#{busqueda.tmpFormularioBndRep.telefono}"
																	id="txtTelefono"											
																	onkeypress="return onlyNumber(event)"
					                                                maxlength="9"	                                                                                                       
					                                                required="false" 
					                                                styleClass="form-control"
					                                                tabindex="1"/>
													</div>
												</div>
												<div class="col-sm-4">
													<div class="form-group">
														<h:outputLabel 	for="txtcelular" 
																		value="Celular : "
																		styleClass="control-label"></h:outputLabel>
														<p:inputText
																	 disabled="true"
																	 value="#{busqueda.tmpFormularioBndRep.celular}"
																	 id="txtcelular"													
																	 onkeypress="return onlyNumber(event)"
				                                                  	 maxlength="9"	                                                                                                       
				                                                     required="false" 
				                                                     styleClass="form-control"
				                                                     tabindex="1"/>
													</div>
												</div>
												<div class="col-sm-4">
													<div class="form-group">
														<h:outputLabel 	for="txtCorreo" 
																		value="Correo electrónico : "
																		styleClass="control-label"></h:outputLabel>
														<p:inputText
																	disabled="true"
																	value="#{busqueda.tmpFormularioBndRep.correo_electronico}"
																	id="txtCorreo"
																	style="text-transform: lowercase;"								
																	maxlength="30" 
																	required="false" 
																	styleClass="form-control"
																	tabindex="1" />
													</div>
												</div>
											</div>
										</p:panel>
									</p:fieldset>
								</div>
		                		
		                		<div class="row box-mb">
		                      	
		                      		<div class="col-sm-12">
										<label class="control-label" style="margin-left: 2%"><b> III. INFORMACIÓN SOLICITADA:  </b> (Precise concretamente el pedido de la información)</label>
									</div>
										
									<p:fieldset style="width:96%;margin-left:2%;margin-right:2%">
										<p:panel id="pninformacionsolicitada"
											 style="width: 100%;							 
											 border: 0px solid #EDEDED;
											 background: rgba(237, 237, 237, .9);">
											 <div class="row box-mb"> 				
												 <div class="col-sm-12">										
														<h:outputLabel for="txtdetalle"
																		value="Detalle : " 
																		styleClass="control-label" />
														<p:inputTextarea id="txtdetalle" 
																		disabled="true"
																		rows="3" 
																		cols="33"
																		styleClass="form-control"
																		autoResize="false" 
																		counter="display"
																		value="#{busqueda.tmpFormularioBndRep.detalle_solicitud}"
																		maxlength="5000" 
																		counterTemplate="{0} caracteres restantes."
																		queryDelay="#{solicitudExternoMB.solicitud.detalleSolicitud}" />
														<h:outputText id="display" />									
												 </div>
											</div>
										</p:panel>
									</p:fieldset>
								</div>
								
								<div class="row box-mb">
		                      	
		                      		<div class="col-sm-12">
										<label class="control-label" style="margin-left: 2%"><b> IV. DEPENDENCIA DE LA CUAL REQUIERE LA INFORMACIÓN: </b>(Deseable)</label>
									</div>
										
									<p:fieldset style="width:96%;margin-left:2%;margin-right:2%">
										<p:panel id="pndependenciainformacion"
											 style="width: 100%;							 
											 border: 0px solid #EDEDED;
											 background: rgba(237, 237, 237, .9);">
											 <div class="row box-mb">
												<div class="col-sm-10">
													<h:outputLabel for="cmbDependencia" 
																   value="Dependencia : "
																   styleClass="control-label" />
													<p:selectOneMenu 
																	disabled="true"
																	id="cmbDependencia"
																	value="#{busqueda.tmpFormularioBndRep.dependencia_de_informacion}"
																	styleClass="form-control style-select">
															<f:selectItem  itemValue="0" itemLabel="--- Seleccione --- " />
															<f:selectItems
																			value="#{busqueda.lstUndsOrgTodo}"
																			var="tabla"
																			itemValue="#{tabla.codigoRegistro}"
																			itemLabel="#{tabla.nombreLargo}" />
													</p:selectOneMenu>
												</div>
											</div>
										</p:panel>
									</p:fieldset>
								</div>
								
								<div class="row box-mb">
		                      	
		                      		<div class="col-sm-12">
										<label class="control-label" style="margin-left: 2%"><b> V. FORMA DE ENTREGA DE LA INFORMACIÓN: </b></label>
									</div>
										
									<p:fieldset style="width:96%;margin-left:2%;margin-right:2%">
										<p:panel id="pnFormaEntregaPanel"
											 style="width: 100%;							 
											 border: 0px solid #EDEDED;
											 background: rgba(237, 237, 237, .9);">
											 <div class="row box-mb">	 				
												<div class="col-sm-12">	
													 <h:outputLabel	for="txtmediodeentrega"
			        												value="Medios Entrega:"
																	styleClass="control-label" />
													 <p:inputText	id="txtmediodeentrega" 
																	disabled="true"
																	value="#{busqueda.tmpFormularioBndRep.forma_de_entrega}"
					                                                required="false" 
					                                                styleClass="form-control"
					                                                tabindex="1"/>
			        															
												</div>
											</div>
										</p:panel>
									</p:fieldset>
								</div>
								
								<div class="row box-mb">
		                      	
		                      		<div class="col-sm-12">
										<label class="control-label" style="margin-left: 2%"><b> VI. IDENTIFICACIÓN DE LA PERSONA AUTORIZADA: </b></label>
									</div>
										
									<p:fieldset style="width:96%;margin-left:2%;margin-right:2%">
										<p:panel id="autorizaPersRecojo"
											 style="width: 100%;							 
											 border: 0px solid #EDEDED;">
											 <div class="row box-mb">
												<div class="col-lm-12" style="margin-left: 20px;line-height: 20px;font-size: 13.2px;margin-bottom:10px;font-weight: 300;margin-bottom: 5px;">
													<h:panelGrid columns="2" cellpadding="5">
														¿Autoriza a otra persona, recoger la documentación solicitada? &#160;&#160;
														<p:selectOneRadio 
																		disabled="true"
																		id="autorizaRecojan" 
																		value="#{busqueda.tmpFormularioBndRep.flag_autoriza_recojo}">
												            <f:selectItem itemValue="SI" itemLabel="&#160;SI&#160;" />
												            <f:selectItem itemValue="NO" itemLabel="&#160;NO" />
												           
												            <p:ajax event="change"
									                        		listener="#{busqueda.updateAutoPersonaPanel}"
									                        		update=":frmBandejaSolicitud:acordeon:autorizaPersRecojo"/>
												        </p:selectOneRadio>
											        </h:panelGrid>
												</div>
												<p:panel id="pnDatosPersonaAutorizada"
														 rendered="#{busqueda.swAutorizaPersona}"
														 style="width: 100%;									 
														 border: 0px solid #EDEDED;
														 background: rgba(237, 237, 237, .9);">
																				
													<div class="row box-mb">
															<div class="col-sm-3">										
																<h:outputLabel 	for="txtnrodocumentoAutorizado" 
																				value="Nro Documento : "
																				styleClass="control-label" />
																	<p:inputText
																				disabled="true"
																				value="#{busqueda.tmpFormularioBndRep.pers_auto_nro_documento}"
																				id="txtnrodocumentoAutorizado"											
																				maxlength="8"
																				required="false" 
																				onkeypress="return onlyNumber(event)"
																				styleClass="form-control"
																				tabindex="1" />										
															</div>
															<div class="col-sm-5">
																<div class="form-group">
																	<h:outputLabel 	for="txtNombresApellidosAutorizado" 
																					value="Nombres y Apellidos : "
																					styleClass="control-label"></h:outputLabel>
																	<p:inputText
																				disabled="true"
																				value="#{busqueda.tmpFormularioBndRep.pers_auto_nombre_apellidos}"
																				id="txtNombresApellidosAutorizado"													
																				maxlength="100" 
																				required="false"
																				style="text-transform: uppercase;"
																				styleClass="form-control"
																				tabindex="1" />
																</div>
															</div>
													</div>
												</p:panel>
												
											</div>
										</p:panel>
									</p:fieldset>
								</div>
								
								<div class="row box-mb">
		                      	
		                      		<div class="col-sm-12">
										<label class="control-label" style="margin-left: 2%"><b> VII. OBSERVACIONES: </b></label>
									</div>
										
									<p:fieldset style="width:96%;margin-left:2%;margin-right:2%">
										<p:panel id="pnobservacionsolicitud"
											 style="width: 100%;
											 border: 0px solid #EDEDED;
											 background: rgba(237, 237, 237, .9);">
											 <div class="row box-mb">
												<div class="col-sm-12">										
														<h:outputLabel 	for="txtObservacionsolicitud"
																		value="Detalle : " 
																		styleClass="control-label" />
														<p:inputTextarea id="txtObservacionsolicitud" 
																		disabled="true"
																		rows="3" 
																		cols="33"
																		styleClass="form-control"
																		autoResize="false"
																		style="text-transform: uppercase;" 
																		counter="display1"
																		value="#{busqueda.tmpFormularioBndRep.observacion}"
																		maxlength="200"
																		counterTemplate="{0} caracteres restantes."
																		queryDelay="#{solicitudExternoMB.solicitud.observacion}" />
														<h:outputText id="display1" />								
												</div>
											</div>
										</p:panel>
									</p:fieldset>
								</div>
		                		</p:fieldset>
							</p:panel>
						</p:tab>
					</p:accordionPanel>
<!-- ********** BTN ACCION ******************************************************************************************** -->	
                	<!-- p:panel id="pnlVistaDerivacionAreaBtn" style="border:none;">
                		<div class="col-sm-12 text-right box-main-btn">
                				<p:commandButton 	
	                							id="btnbuscarAsignaciones" 
												value="Ver Detalle Asignación"
												ajax="true"
												rendered="#{busqueda.verBtnVerDetalleAsig}"
												icon="icon-plus ocultarImgIcon"
												oncomplete="PF('dlgverDetAsigMovimiento').show();"
												styleClass="btn btn-default btn-sm btn-sensitive btn-buscar"
												update=":frmBandejaSolicitud:dlgverDetAsigMovimiento" />
								<p:commandButton
												id="btnGenRespDerivacion"
												value="Proyectar Derivación"
												disabled="#{busqueda.habilitaBtnDerivArea}"
												icon="fa fa-edit ocultarImgIcon"
												styleClass="btn btn-primary btn-sensitive"
												actionListener="#{busqueda.verRespuestaProyeccion}"
												ajax="true" update=":frmBandejaSolicitud" />
								<p:commandButton
												id="btnGenRespUsuario"
												value="Proyectar Respuesta"
												disabled="#{busqueda.habilitaBtnDerivUser}"
												icon="fa fa-edit ocultarImgIcon"
												styleClass="btn btn-primary btn-sensitive"
												actionListener="#{busqueda.verRespuestaUsuario}"
												ajax="true" update=":frmBandejaSolicitud" />
												
								<p:commandButton 
												id="btnCancelarSeleccionDer"
												disabled="#{busqueda.habilitaBtnCancelar}"
												styleClass="btn btn-default btn-sensitive btn-buscar"
												value="Cancelar" 
												icon="icon-limpiar" 
												ajax="true" update=":frmBandejaSolicitud"
												action="#{busqueda.cancelarSeleccionOAJ}"/>
						</div>
					</p:panel -->
<!-- *************** DERIVACION ************************************************************************************************** -->
                	<p:panel id="pnlVistaDerivacionArea" style="border:none;">
                		<!-- ************** RESPUETA A PROYECCION ************************************************************************************* -->
	                	<p:panel id="pnlVistaRespuestaProyeccion" style="border:none;margin-left:-15pt;margin-right:-15pt;"
							rendered="#{busqueda.habilitaRespuestaProyeccion}" >
	                		<div class="row box-mb"> 
	                            <div class="col-sm-12">
	                                <label class="control-label"><b>Proyección de Derivación a Jefe: </b></label>
	                            </div>                       
	                        </div>
							<p:fieldset>
								
									<div class="row box-mb">
										<div class="col-sm-10">
										<h:outputLabel id="txtUnidOrgDerivar1"
												value="Unidades Orgánicas (Con secretarías):"
												styleClass="control-label" />
										<span class="style_requerido">* </span>
											<h:outputLabel for="scbUnidOrgDerivar" id="txtUnidOrgDerivar"
												value="  #{busqueda.txtUnidOrgDerivar}"
												styleClass="control-label" panelStyle="width:250px"/>
											<!--  filterFunction="false" immediate="true" -->
											<p:selectCheckboxMenu id="scbUnidOrgDerivar" value="#{busqueda.lstUndsOrgsSlc}"
																  panelStyleClass="without-selectall"
																  label="Unidades Organicas" multiple="true"
										                          filter="true" filterMatchMode="startsWith" 
										                          styleClass="form-control style-select" >
										        <!--  -->
										    	<f:selectItems    value="#{busqueda.lstUndsOrgsStrg}" />
										    			<p:ajax   event="toggleSelect" 
																  listener="#{busqueda.updateUnidOrgDerivar}" 
																  update=":frmBandejaSolicitud:txtUnidOrgDerivar" />
														<p:ajax   listener="#{busqueda.updateUnidOrgDerivar}"
																  update=":frmBandejaSolicitud:txtUnidOrgDerivar" />
										    </p:selectCheckboxMenu>
										</div>
									</div>
									<div class="row box-mb">
										<div class="col-sm-12">
											<h:outputLabel for="txtDetalleRespuesta" value="Detalle :"
												styleClass="control-label" />
											<span class="style_requerido">* </span>
											<p:inputTextarea id="txtDetalleRespuesta"
												rows="2" cols="33" styleClass="form-control"
												autoResize="false"
												counter="displayDetalle"
												value="#{busqueda.solicitudMovimientoArea.detalleRespuesta}"
												maxlength="200" counterTemplate="{0} caracteres restantes."
												queryDelay="#{solicitudExternoMB.solicitud.observacion}" />
											<h:outputText id="displayDetalle" />
										</div>
		
		
									</div>
								
							</p:fieldset>
							<div class="col-sm-12 text-right box-main-btn" style="margin-top:25px;">
									
		
									<p:commandButton 
													id="btnLimpiarEnvDerivar"
													styleClass="btn btn-default btn-sensitive btn-buscar"
													value="#{busqueda.btnLimpiarA}" 
													icon="icon-limpiar" 
													ajax="true" update=":frmBandejaSolicitud"
													action="#{busqueda.limpiarDerivacionArea}"/>
									
									<p:commandButton
													id="btnEnvDerivarValidar"
													value="Enviar a JEFE"
													icon="fa fa-mail-forward ocultarImgIcon"
													styleClass="btn btn-primary btn-sensitive"
													actionListener="#{busqueda.validarDerivPreArea}"
													ajax="true" update=":frmBandejaSolicitud" />
							</div>
						</p:panel>
						<!-- ************** RESPUETA A USUARIO ************************************************************************************* -->
						<p:panel id="pnlVistaOtraArea" style="border:none;margin-left:-15pt;margin-right:-15pt;"
							rendered="#{busqueda.habilitaRespuestaUsuario}">
							<div class="row box-mb"> 
	                            <div class="col-sm-12">
	                                <label class="control-label"><b>Proyección de Respuesta a Jefe: </b></label>
	                            </div>                       
	                        </div>
							<p:fieldset>
								<div class="row box-mb">
									<div class="col-sm-6">
										<div class="form-group" >
											<p:selectOneButton
													id="orientation" styleClass="control-label" 
													value="#{busqueda.tipoProyeccionRspta}" >
												<p:ajax event="change" listener="#{busqueda.updateTipoProyeccion()}" 
														update=":frmBandejaSolicitud:txtAsuntoRespuesta,:frmBandejaSolicitud:txtcuerpoCorreo"/>
												<f:selectItems value="#{busqueda.listaTipoRespuesta}" />
											</p:selectOneButton>
									        
										</div>
							        </div>
							        <div class="col-sm-3 text-right">
							        </div>
							        <div class="col-sm-3 text-right">
										<p:commandButton 	
	                								id="btnbuscarRespuestas" 
													value="Ver Respuestas"
													ajax="true"
													rendered="#{busqueda.verBtnVerRespuesta}"											 
													icon="icon-plus ocultarImgIcon"
													oncomplete="PF('dlgverRespuestas').show();"
													styleClass="btn btn-default btn-sm btn-sensitive btn-buscar" />
									</div>
							    </div>
								<div class="row box-mb">
									<div class="col-sm-6">
										<div class="form-group">
			                                 <h:outputLabel for="txtCorreoRespuesta" value="Correo Electrónico: " styleClass="control-label" />
			                                 <p:inputText   id="txtCorreoRespuesta"
			                                 				disabled="true"
			                                            	value="#{busqueda.solicitudMovimientoAdministrado.correo}"	
			                                                maxlength="50"
			                                                styleClass="form-control" />
			                                 <p:watermark for="txtCorreoRespuesta" value="Ingrese el Título" />
			                            </div>
									</div>
								</div>
								<div class="row box-mb">
									<div class="col-sm-9">
										<div class="form-group">
			                                 <h:outputLabel for="txtAsuntoRespuesta" value="Asunto: " styleClass=" control-label"/>
			                                 <span class="style_requerido">*</span>
			                                 <p:inputText   id="txtAsuntoRespuesta"
			                                            	value="#{busqueda.solicitudMovimientoAdministrado.asunto}"	
			                                                maxlength="50"
			                                                styleClass="form-control" />
			                                 <p:watermark for="txtAsuntoRespuesta" value="Ingrese el Asunto" />
			                            </div>
									</div>
								</div>
								<div class="row box-mb">
			                    	<div class="col-sm-12">
			                        	<div class="form-group">
			                                    	<h:outputLabel for="txtcuerpoCorreo" value="Contenido: " styleClass=" control-label"/>
			                                        <span class="style_requerido">*</span>
			                                        <p:editor height="320" 
			                                        		  id="txtcuerpoCorreo" 
			                                        		  widgetVar="editorWidget" 
			                                        		  value="#{busqueda.solicitudMovimientoAdministrado.detalleRespuesta}" 
			                                        		  styleClass="max-width"/>
	 												<h:panelGrid columns="2" style="margin-top: 10px">
												    </h:panelGrid>
			                        	</div>
			                     	</div> 
								</div>
								<h:panelGroup rendered="#{busqueda.vistaLstDetalleMovimiento}">
									<div class="row box-mb">
										<div class="col-sm-12 box-table-class">
	                             			 <div class="form-group">
	                             			 	<h:outputLabel for="tblDocumentos" value="Documentos Adjuntos : " styleClass=" control-label"/>
				                                <!-- <span class="style_requerido">*</span> -->
												<p:dataTable  id="tblDocumentos" 
	                                                var="registro"
	                                                value="#{busqueda.lstDetalleMovimiento}" 
	                                                rowKey="#{registro.id}" 
	                                                paginator="#{busqueda.lstDetalleMovimiento.size() > 5}"
	                                                rowIndexVar="item"
	                                                rows="5"
	                                                paginatorPosition="top"
	                                                style="text-align:center;"
	                                                emptyMessage="Seleccione un tipo de registro para extraer los datos.">
	                                                
	                                                <!-- 
													<p:ajax event="rowSelect" listener="#{busqueda.seleccionarRegistro}" update=":frmBandejaSolicitud" />
										 				-->
													<p:column headerText="N&#186;" style="width:20px;text-aling:center;">
	                                                	<h:outputText value="#{item+1}" />
	                                                </p:column>
	                          
													<p:column headerText="Nombre Documento" style="width:120px;" >
										                <h:outputText escape="false" value="#{registro.nombreDocumento}" />
										            </p:column>
										            
										            <p:column headerText="Unidad Orgánica Emisor" style="width:120px;" >
										                <h:outputText escape="false" value="#{registro.t01UndOrgEmiDetaLarg}" />
										            </p:column>
										                                                
										            <p:column headerText="Siglas" style="width:40px;" >
										                <h:outputText escape="false" value="#{registro.t01UndOrgEmiDetaCort}" />
										            </p:column>
	                                                <!-- 
	                                                <p:column headerText="Descargar" style="width:40px;text-align:center;">
	                                                    
	                                                    <p:commandLink  actionListener="#{busqueda.descargarFile(registro.uuidDocumento)}" 
																	    title="Descargar" 
																		ajax="false"
																		style="color: #4781af;">
																		<p:fileDownload value="#{busqueda.streamedContent}" />
																		Descargar
														</p:commandLink>
														
														
	                                                </p:column>
													 -->
	                                                <p:column headerText="Acción" style="width:30px;text-align:center;">
	                                                	<p:commandButton 
																	actionListener="#{busqueda.descargarFile(registro.uuidDocumento)}"
																	title="Descargar"
																	ajax="false" icon="ui-icon ui-icon-arrowthickstop-1-s"
																	styleClass="colorSuccess">
																	<p:fileDownload value="#{busqueda.streamedContent}" />
														</p:commandButton>
	                                                	<p:commandButton icon="ui-icon ui-icon-trash" title="Eliminar"
															actionListener="#{busqueda.setRptDocumento(registro)}"
															ajax="true" oncomplete="PF('idGrpEliminarConfirmacion').show()">
														</p:commandButton>
	                                                </p:column>
	
	                                    		</p:dataTable>
	                                    	</div>
	                                    </div>
									</div>
								</h:panelGroup>
								<div class="row box-mb">
									<div id="box-subir-doc" class="col-sm-12">
										<div class="form-group ">
											<h:outputLabel id="lblAdj" for="fileUplAdj" 
												value="Adjunto(s): [ #{busqueda.nombreAdjunto01} ]"
												styleClass="control-label" />
											<p:fileUpload id="fileUplAdj"
												disabled="#{busqueda.habilitaBtnAdjDoc}"
												fileUploadListener="#{busqueda.handleFileUpload}" 
												mode="advanced" dragDropSupport="false" auto="true"
												label="Seleccionar" uploadLabel="Subir" cancelLabel="Cancelar"
                  								multiple="true" update="lblAdj" sizeLimit="350000000" fileLimit="#{busqueda.maxDocsAdjs}" 
                  								allowTypes="/(\.|\/)(doc|docx|xls|xlsx|pdf)$/"
                  								invalidSizeMessage="El archivo que intenta subir supera el tamaño máximo permitido."
												invalidFileMessage="Tipo de archivo Inválido. Solo se permite adjuntar archivos Word, Excel y PDF."
												fileLimitMessage="Excedió el número de archivos permitidos." />
										</div>
									</div>
								</div>
								<div class="row box-mb">
									<div class="col-sm-9 text-left box-main-btn">
										<div class="form-group">
											<h:outputLabel id="msjCapAdj"
												value="Files válidos: word, excel, pdf. Máximo: #{busqueda.maxDocsAdjs} files. Tamaño máximo por file: 350MB"
												style="font-weight: 300; font-size: 11px; color: #f52c27;" />
										</div>
									</div>
									<div class="col-sm-3 text-right box-main-btn">
										<p:commandButton id="idLimpiarAdjunto"
											disabled="#{busqueda.habilitaBtnAdjDoc}"
											styleClass="btn btn-default btn-sensitive btn-buscar"
											title="Borrar Files Adjuntos que han sido subidos y seleccionados."
											value="Borrar Adjuntos"
											actionListener="#{busqueda.borrarAdjuntosSubidoUser}"
											ajax="true" 
											icon="icon-limpiar" update=":frmBandejaSolicitud" />
									</div>
								</div>
							</p:fieldset>
						
							<div class="col-sm-12 text-right box-main-btn" style="margin-top:15px;">
									<p:commandButton 
													id="btnLimpiarEnvAdm"
													styleClass="btn btn-default btn-sensitive btn-buscar"
													value="#{busqueda.btnLimpiarB}" 
													icon="icon-limpiar" 
													ajax="true" update=":frmBandejaSolicitud"
													action="#{busqueda.limpiarProyeccionAdministrado}"/>
													
									<p:commandButton
													id="btnEnvUsuValidar"
													value="Enviar a JEFE"
													icon="fa fa-mail-forward ocultarImgIcon"
													styleClass="btn btn-primary btn-sensitive"
													actionListener="#{busqueda.validarDerivPreAdministrado}"
													ajax="true" update=":frmBandejaSolicitud" />
							</div>
						</p:panel>
					</p:panel>
					
					</p:fieldset>
                </div>
				<!-- Confirmar 1 -->
				<p:confirmDialog message="Confirmación"
					id="idGrpConfirmar1" showEffect="fade" hideEffect="explode"
					modal="true" styleClass="modal-confirmation"
					widgetVar="idGrpConfirmar1" width="25%">
					<div class="row"
						style="margin-left: 15px; margin-top: 5px; margin-bottom: 10px;">
						<div class="row box-mb">
							<div class="col-sm-12">
								<div class="form-group">
									<h:outputLabel value="¿Confirma enviar 'Proyección de Derivación a Jefe'?"
										styleClass="control-label" />
								</div>
							</div>
						</div>
					</div>
					<div class="row text-right box-dig-btn">
						<div class="row box-mb">
							<div class="col-sm-11">
								<div class="form-group">
									<p:commandButton title="Si" value="Si"
										action="#{busqueda.grabar1}"
										styleClass="btn btn-primary btn-sensitive"
										onclick="PF('idGrpConfirmar1').hide(), PF('statusDialog').show()"
										oncomplete="PF('statusDialog').hide()"
										ajax="true"
										update=":frmBandejaSolicitud" />
									<p:commandButton title="No"
										styleClass="btn btn-default btn-sensitive btn-buscar"
										value="No" oncomplete="PF('idGrpConfirmar1').hide()" />
								</div>
							</div>
						</div>
					</div>
				</p:confirmDialog>
				<!-- Confirmar 2 -->
				<p:confirmDialog message="Confirmación"
					id="idGrpConfirmar2" showEffect="fade" hideEffect="explode"
					modal="true" styleClass="modal-confirmation"
					widgetVar="idGrpConfirmar2" width="25%">
					<div class="row"
						style="margin-left: 15px; margin-top: 5px; margin-bottom: 10px;">
						<div class="row box-mb">
							<div class="col-sm-12">
								<div class="form-group">
									<h:outputLabel value="¿Confirma enviar 'Proyección de Respuesta a Jefe'?"
										styleClass="control-label" />
								</div>
							</div>
						</div>
					</div>
					<div class="row text-right box-dig-btn">
						<div class="row box-mb">
							<div class="col-sm-11">
								<div class="form-group">
									<p:commandButton title="Si" value="Si"
										action="#{busqueda.grabar2}"
										styleClass="btn btn-primary btn-sensitive"
										onclick="PF('idGrpConfirmar2').hide(), PF('statusDialog').show()"
										oncomplete="PF('statusDialog').hide()"
										ajax="true"
										update=":frmBandejaSolicitud" />
									<p:commandButton title="No"
										styleClass="btn btn-default btn-sensitive btn-buscar"
										value="No" oncomplete="PF('idGrpConfirmar2').hide()" />
								</div>
							</div>
						</div>
					</div>
				</p:confirmDialog>

				<!-- Confirmar 3: Eliminar Documentos subido traidos -->
				<p:confirmDialog message="Aviso de eliminación"
					id="idGrpEliminarConfirmacion" showEffect="fade"
					hideEffect="explode" modal="true" styleClass="modal-confirmation"
					widgetVar="idGrpEliminarConfirmacion" width="40%">


					<div class="row"
						style="margin-left: 15px; margin-top: 5px; margin-bottom: 10px;">
						<h:outputText
							value="¿Confirma la eliminación del documento seleccionado?" />
						<br />
					</div>

					<div class="row text-right box-dig-btn">
						<p:commandButton title="Si" value="Si"
							action="#{busqueda.eliminar()}"
							styleClass="btn btn-primary btn-sensitive"
							oncomplete="PF('idGrpEliminarConfirmacion').hide()"
							update=":frmBandejaSolicitud" />
						<p:commandButton title="No"
							styleClass="btn btn-default btn-sensitive btn-buscar" value="No"
							oncomplete="PF('idGrpEliminarConfirmacion').hide()" />
					</div>
				</p:confirmDialog>
				
				<p:dialog id="dlgverRespuestas" header="Respuestas de Solicitud"
					widgetVar="dlgverRespuestas" modal="true" width="75%"
					styleClass="box-modal-show" resizable="false">
					<div id="mainBuscarRespuestas">
						<h:form id="frmBuscarRespuestas">
							<div id="box-seg-main" class="row box-mb">
								<div class="col-sm-12">
									<fieldset>
										<div class="table-responsive">
											<div class="box-border-RegDoc" style="width: 80%px; height: 300px; overflow: scroll;">
												<h:panelGroup id="pnlMovimientos"
													styleClass="tablaLstRgtDoc box-lst-tablas">
													<p:outputLabel id="lblMovimientos" rendered="#{busqueda.lstVerRespuesta.size()==0}"
														value="Actualmente no hay Respuestas registradas." />
													<ui:repeat value="#{busqueda.lstVerRespuesta}" var="segMovimientoItemA" varStatus="item">
														<legend style="margin-bottom:0px;">
															<small style="color: #616979; font-size: 14px">
																Organo: #{segMovimientoItemA.t01UndOrgRecDeta}</small>
														</legend>
														<table class="tg table table-expand"
															style="margin-bottom: 10px; border-color: white; border-collapse: collapse; margin: 0 0 1em 0; caption-side: top;">
															<tbody  style="border-bottom: 0px; font-size: 12px; border-top: 0px solid #000; border-bottom: 0px solid #000;">
																<tr>	
																	<th class="tg-0ord" width="10%px;">Detalle de Derivación :</th> 
																	<td class="txt-data" width="65%px;">#{segMovimientoItemA.detalleAsignacion}</td>
																	<th class="tg-0ord" width="10%px;">Fecha de Derivación :</th>
																	<td class="txt-data" width="10%px;">#{segMovimientoItemA.fechaRegistroEmision}</td>
																</tr>
																<tr>
																	<th class="tg-0ord" width="10%px;">Detalle de Respuesta :</th>
																	<td class="txt-data" width="65%px;"><h:outputText
																							     value="#{segMovimientoItemA.detalleRespuesta}"
																								 escape="false" /></td>
																	<th class="tg-0ord" width="10%px;">Fecha de Respuesta :</th>
																	<td class="txt-data" width="10%px;"><h:outputText
																								 value="#{segMovimientoItemA.fechaRegistroRecepcion}"
																								 escape="false" /></td>
																</tr>
															</tbody>
														</table>
													</ui:repeat>
													<table class="tg table table-expand"
															style="margin-bottom: 10px; border-color: white; border-collapse: collapse; margin: 0 0 1em 0; caption-side: top;">
															<tbody  style="border-bottom: 0px; font-size: 12px; border-top: 0px none #FFF; border-bottom: 0px none #FFF;">
																<tr>
																	<th class="tg-0ord" style="color: #616979; font-size: 14px">LISTA DE DOCUMENTOS DE RESPUESTA :</th>
																</tr>
																<tr>
																	<td class="txt-data box-table-class">
																		<!-- #{busqueda.lstReporteBandeja} -->
																		
																		<p:dataTable  id="tblListaDocumentos"
									                                                var="registro" 
									                                                value="#{busqueda.lstListaDocsRespuesta}"
									                                                rowKey="#{registro.id}" 
									                                                paginator="true"
									                                                scrollable="true"
									                                                rowIndexVar="item"
									                                                paginatorPosition="top"
									                                                rows="10"
									                                                style="text-align:center;"
									                                                emptyMessage="No hay referencia de documentos adjuntados">
									                                                
									                                                <p:column headerText="Adjuntar" style="width:15px;text-align:center;">
																						<p:commandButton    title="Adjuntar"
																											action="#{busqueda.adjuntarDocumentoAProy(registro)}"
																											ajax="true" icon="ui-icon-extlink icon-lst"
																											styleClass="colorSuccess"
																											update=":frmBandejaSolicitud:mensaje,
																													:frmBandejaSolicitud:tblDocumentos,
																													:frmBandejaSolicitud:lblAdj
																													:frmBandejaSolicitud:fileUplAdj,
																													:frmBandejaSolicitud:idLimpiarAdjunto,
																													:frmBandejaSolicitud:msjCapAdj"/>
									                                                </p:column>
									                                                
																					<p:column headerText="Nombre Documento" style="width:120px;" 
																						sortBy="#{registro.nombreDocumento}">
									                                                    <h:outputText escape="false"
									                                                    	value="#{registro.nombreDocumento}" />
									                                                </p:column>
									                                                
									                                                <p:column headerText="Unidad Orgánica Emisor" style="width:80px;" 
									                                                	sortBy="#{registro.t01UndOrgEmiDetaLarg}">
									                                                    <h:outputText escape="false"
									                                                    	value="#{registro.t01UndOrgEmiDetaLarg}" />
									                                                </p:column>
									                                                
									                                                <p:column headerText="Siglas" style="width:50px;" 
									                                                	sortBy="#{registro.t01UndOrgEmiDetaCort}">
									                                                    <h:outputText escape="false"
									                                                    	value="#{registro.t01UndOrgEmiDetaCort}" />
									                                                </p:column>
									                                                
									                                                <p:column headerText="Descargar" style="width:40px;" >
									                                                    <p:commandButton 
																									actionListener="#{busqueda.descargarFile(registro.uuidDocumento)}"
																									title="Descargar"
																									ajax="false" icon="ui-icon ui-icon-arrowthickstop-1-s"
																									styleClass="colorSuccess">
																									<p:fileDownload value="#{busqueda.streamedContent}" />
																						</p:commandButton>
									                                                </p:column>
									                                    </p:dataTable>
																	
																	
																	</td>
																</tr>
															</tbody>
														</table>
													
												</h:panelGroup>
											</div>
										</div>
									</fieldset>
								</div>
							</div>
						</h:form>
						
					</div>
				</p:dialog>
				
				<p:dialog id="dlgverDetAsigMovimiento" header="Detalle de Asignación del Movimiento Solicitud"
					widgetVar="dlgverDetAsigMovimiento" modal="true" width="75%"
					styleClass="box-modal-show" resizable="false">
					<div id="mainBuscarAsignacion">
						<h:form id="frmBuscarAsignacion">
							<div id="box-seg-main" class="row box-mb">
								<div class="col-sm-12">
									<fieldset>
										<div class="table-responsive">
											<div class="box-border-RegDoc" style="width: 80%px; height: 300px; overflow: scroll;">
												<h:panelGroup id="pnlMovimientos"
													styleClass="tablaLstRgtDoc box-lst-tablas">
													<p:outputLabel id="lblMovimientos" rendered="#{busqueda.lstSoliMoviXLineaTP.size()==0}"
														value="Actualmente no hay Movimientos Registrados." />
													<ui:repeat value="#{busqueda.lstSoliMoviXLineaTP}" var="segMovimientoItemB" varStatus="item">
														<legend style="margin-bottom:0px;">
															<small style="color: #616979; font-size: 14px" >
																[ORIGEN]: #{segMovimientoItemB.t01UndOrgEmiDeta} >> #{segMovimientoItemB.perfilDetaEmisor}
																	<i class="fa fa-long-arrow-right" aria-hidden="true" /> 
																[DESTINO]: #{segMovimientoItemB.t01UndOrgRecDeta} >> #{segMovimientoItemB.perfilDetaReceptor}
															</small>
														</legend>
														<table class="tg table table-expand"
															style="margin-bottom: 10px; border-color: white; border-collapse: collapse; margin: 0 0 1em 0; caption-side: top;">
															<tbody  style="border-bottom: 0px; font-size: 12px; border-top: 0px solid #000; border-bottom: 0px solid #000;">
																<tr>
																	<th class="tg-0ord" width="150px;">Detalle Asignación</th>
																	<td colspan="3" class="txt-data">: <h:outputText
																		value="#{segMovimientoItemB.detalleAsignacion}"
																		escape="false" /></td>
																</tr>																
															</tbody>
														</table>
													</ui:repeat>
													
												</h:panelGroup>
											</div>
										</div>
									</fieldset>
								</div>
							</div>
						</h:form>
						
					</div>
				</p:dialog>
		              
            </h:form> 
            
            <p:dialog widgetVar="statusDialog" modal="true" draggable="false" 
				      closable="false" resizable="false" showHeader="false">
		    		<p:graphicImage value="../resources/img/loadingbar.gif" />
			</p:dialog>
	    </div>
    
    </ui:define>
    
</ui:composition>